###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Bence Janos Szabo
#
###############################################################################
[MODULE_PARAMETERS]

inf1 := infinity;
inf2 := infinity + 1.0;
inf3 := infinity - 1.0;
inf4 := 1.0 + infinity;
inf5 := infinity * 2.0;
inf6 := infinity / 2.0;
inf7 := 2.0 * infinity;
inf8 := infinity + infinity;
inf9 := infinity - -infinity;
inf10 := infinity * infinity;
inf11 := -infinity * -1.0;
inf12 := -infinity * -infinity;

neginf1 := -infinity;
neginf2 := -infinity + 1.0;
neginf3 := -infinity - 1.0;
neginf4 := 1.0 + -infinity;
neginf5 := 1.0 - infinity;
neginf6 := -infinity * 2.0;
neginf7 := -infinity / 2.0;
neginf8 := 2.0 * -infinity;
neginf9 := -infinity + -infinity;
neginf10 := -infinity * infinity;
neginf11 := infinity * -infinity;
neginf12 := infinity * -1.0;

zero1 := 2.0 / infinity;
zero2 := 2.0 / -infinity;

nan1 := not_a_number;
nan2 := not_a_number + 1.0;
nan3 := not_a_number - 1.0;
nan4 := 1.0 + not_a_number;
nan5 := 1.0 - not_a_number;
nan6 := not_a_number * 2.0;
nan7 := not_a_number / 2.0;
nan8 := 2.0 * not_a_number;
nan9 := 2.0 / not_a_number;
nan10 := not_a_number + not_a_number;
nan11 := not_a_number - not_a_number;
nan12 := not_a_number * not_a_number;
nan13 := not_a_number / not_a_number;
nan14 := infinity / infinity;
nan15 := -infinity / infinity;
nan16 := infinity / -infinity;
nan17 := -infinity / -infinity;
nan18 := not_a_number + infinity;
nan19 := not_a_number - infinity;
nan20 := not_a_number * infinity;
nan21 := not_a_number / infinity;
nan22 := not_a_number + -infinity;
nan23 := not_a_number - -infinity;
nan24 := not_a_number * -infinity;
nan25 := not_a_number / -infinity;


[EXECUTE]
SpecialValues.control
